> ## Documentation Index
> Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts

> Retrieve a paginated list of active accounts associated with the current organization.

_Find details on list filter syntax in our documentation [here](/overview/listing-filter-json)._


Possible Codes in Error Response (see [Errors](https://docs.volteras.com/api-reference/errors) for error response schema and meaning of codes):

- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- SERVER_ERROR



## OpenAPI

````yaml get /v1/accounts
openapi: 3.1.0
info:
  title: VOLTERAS CONNECT
  version: 0.1.0
servers:
  - url: https://api.volteras.com
  - url: https://api.sandbox.volteras.com
security: []
paths:
  /v1/accounts:
    get:
      tags:
        - Accounts
      summary: List Accounts
      description: >-
        Retrieve a paginated list of active accounts associated with the current
        organization.


        _Find details on list filter syntax in our documentation
        [here](/overview/listing-filter-json)._



        Possible Codes in Error Response (see
        [Errors](https://docs.volteras.com/api-reference/errors) for error
        response schema and meaning of codes):


        - AUTHENTICATION_ERROR

        - PAGE_SIZE_TOO_LARGE

        - PAGINATED_QUERY_FILTER_CHANGED

        - REQUEST_VALIDATION_ERROR

        - SERVER_ERROR
      operationId: list_accounts_v1_accounts_get
      parameters:
        - name: maxPageSize
          in: query
          required: false
          schema:
            type: integer
            title: Max page size
            description: Max size of the returned list.
          description: Max size of the returned list.
        - name: pageToken
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Page token
            description: Page token used for pagination.
          description: Page token used for pagination.
        - name: filter
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                contentMediaType: application/json
                contentSchema: {}
              - type: 'null'
            title: Filter
            description: Listing filter schema.
          description: Listing filter schema.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_OEMAccount_'
      security:
        - OAuth2ClientCredentialsBearer: []
components:
  schemas:
    Page_OEMAccount_:
      properties:
        results:
          items:
            $ref: '#/components/schemas/OEMAccount'
          type: array
          title: Results
          description: Returned data from the listing query.
        nextPageToken:
          anyOf:
            - type: string
            - type: 'null'
          title: Next page token
          description: Next page token used for pagination.
        totalResults:
          type: integer
          title: Total results
          description: Total result count.
      type: object
      required:
        - results
        - nextPageToken
        - totalResults
      title: Page[OEMAccount]
    OEMAccount:
      properties:
        id:
          type: string
          title: Id
        username:
          type: string
          title: Username
      type: object
      required:
        - id
        - username
      title: OEMAccount
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v1/oauth2/token

````